#
# spec file for package python-pytest-doctestplus
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-doctestplus%{psuffix}
Version:        0.3.0
Release:        lp151.1.1
Summary:        Pytest plugin with advanced doctest features
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/astropy/pytest-doctestplus
Source:         https://files.pythonhosted.org/packages/source/p/pytest-doctestplus/pytest-doctestplus-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-numpy >= 1.10
Requires:       python-pytest >= 3.0
Requires:       python-six
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module numpy >= 1.10}
BuildRequires:  %{python_module pytest >= 3.0}
BuildRequires:  %{python_module pytest-doctestplus >= %{version}}
BuildRequires:  %{python_module six}
%endif
%python_subpackages

%description
This package contains a plugin for the pytest framework that provides
advanced doctest support and enables the testing of reStructuredText
(".rst") files.

%prep
%setup -q -n pytest-doctestplus-%{version}
# do not change the pytest behaviour for us
rm -f setup.cfg

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
export LANG=en_US.UTF8
%python_expand PYTHONPATH=%{$python_sitelib} py.test-%{$python_bin_suffix} tests/ --doctest-plus --doctest-rst
%endif

%if !%{with test}
%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE.rst
%{python_sitelib}/*
%endif

%changelog
* Fri Mar  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.0:
  * Honor the collect_ignore option used in conftest.py. [#36]
  * Make use of doctest_optionflags settings. [#39]
  * Make it possible to set FLOAT_CMP globally in setup.cfg. [#40]
  * Drop support for pytest versions earlier than 3.0. [#46]
  * Extend doctest-skip, doctest-skip-all, and doctest-requires directives to work in TeX files. [#43]
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.0:
  * Add doctest-plus-atol and doctest-plus-rtol options for setting the numerical tolerance. [#21]
  * Update behavior of --doctest-modules option when plugin is installed. [#26]
- Switch to github tarball to obtain tests
- Enable tests using _multibuild
* Tue Aug 14 2018 toddrme2178@gmail.com
- Initial version
